#!/bin/sh
#
# Starting with release 1.3 INDI ships libindi and 3rdparty stuff (with nonfree
# BLOBs) in one big tar archive. Thus we have to generate a clean one for
# Fedora containing only the free library itself.

NAME="indi-3rdparty-drivers"
ORIG=indi-3rdparty-$1
NEW=$NAME-$1

echo "Generating clean tar for $NAME"
echo "Unpack original tar"
tar -xzf $ORIG.tar.gz
echo "Building new sources tree"
mkdir $NEW
mv $ORIG/cmake_modules $NEW
mv $ORIG/indi-aagcloudwatcher-ng $NEW
mv $ORIG/indi-ahp-xc $NEW
mv $ORIG/indi-aok $NEW
mv $ORIG/indi-apogee $NEW
mv $ORIG/indi-armadillo-platypus $NEW
mv $ORIG/indi-astrolink4 $NEW
mv $ORIG/indi-astromechfoc $NEW
mv $ORIG/indi-avalon $NEW
mv $ORIG/indi-avalonud $NEW
mv $ORIG/indi-beefocus $NEW
mv $ORIG/indi-bresserexos2 $NEW
mv $ORIG/indi-celestronaux $NEW
mv $ORIG/indi-dreamfocuser $NEW
mv $ORIG/indi-eqmod $NEW
mv $ORIG/indi-ffmv $NEW
mv $ORIG/indi-fli $NEW
mv $ORIG/indi-gphoto $NEW
mv $ORIG/indi-gpsd $NEW
mv $ORIG/indi-gpsnmea $NEW
mv $ORIG/indi-maxdomeii $NEW
mv $ORIG/indi-mgen $NEW
mv $ORIG/indi-nexdome $NEW
mv $ORIG/indi-nightscape $NEW
mv $ORIG/indi-ocs $NEW
mv $ORIG/indi-orion-ssg3 $NEW
mv $ORIG/indi-rolloffino $NEW
mv $ORIG/indi-rtklib $NEW
mv $ORIG/indi-shelyak $NEW
mv $ORIG/indi-spectracyber $NEW
mv $ORIG/indi-starbook $NEW
mv $ORIG/indi-starbook-ten $NEW
mv $ORIG/indi-sx $NEW
mv $ORIG/indi-talon6 $NEW
mv $ORIG/indi-webcam $NEW
mv $ORIG/indi-weewx-json $NEW
mv $ORIG/CMakeLists.txt $NEW
mv $ORIG/LICENSE $NEW
mv $ORIG/README $NEW
mv $ORIG/README.md $NEW
echo "Packing new tar for $NAME"
tar --zstd -cf $NEW.tar.zst $NEW
echo "Cleaning up"
rm -rf $ORIG
rm -rf $NEW
echo "Done! Generated $NEW.tar.zst"
